<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

use FOF30\Container\Container;
use Joomla\CMS\Form\Form;

defined('_JEXEC') or die;

/**
 * This class is required by Joomla's com_categories.
 *
 * @see CategoriesModelCategories::preprocessForm()
 */
class AtsHelperCategory
{
	public static function onPrepareForm(Form &$form)
	{
		if ($form->getName() != 'com_categories.categorycom_ats')
		{
			return;
		}

		if (!defined('FOF30_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof30/include.php'))
		{
			(include_once __DIR__ . '/View/fof.php') or die('You need to have the Akeeba Framework-on-Framework (FOF) 3 package installed on your site to use this component. Please visit https://www.akeeba.com/download/fof3.html to download it and install it on your site.');

			return;
		}

		$container = Container::getInstance('com_ats');
		$container->platform->importPlugin('ats');
		$container->platform->importPlugin('atsinstantreply');

		$container->platform->runPlugins('onATSCategoryFormPrepare', [&$form]);
    }
}
